Skip to main content
PUT
/
lists
/
{id}
Update a list
curl --request PUT \
  --url https://app.pipecorn.com/api/v2/lists/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "name": "<string>",
  "companies": [
    {
      "name": "Pipecorn",
      "country_code": "FR",
      "domain": "pipecorn.com",
      "linkedin_url": "https://www.linkedin.com/company/pipecorn"
    },
    {
      "name": "Google",
      "country_code": "US",
      "domain": "google.com",
      "linkedin_url": "https://www.linkedin.com/company/google"
    }
  ],
  "webhook_url": "<string>"
}
'
import requests

url = "https://app.pipecorn.com/api/v2/lists/{id}"

payload = {
"name": "<string>",
"companies": [
{
"name": "Pipecorn",
"country_code": "FR",
"domain": "pipecorn.com",
"linkedin_url": "https://www.linkedin.com/company/pipecorn"
},
{
"name": "Google",
"country_code": "US",
"domain": "google.com",
"linkedin_url": "https://www.linkedin.com/company/google"
}
],
"webhook_url": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
companies: [
{
name: 'Pipecorn',
country_code: 'FR',
domain: 'pipecorn.com',
linkedin_url: 'https://www.linkedin.com/company/pipecorn'
},
{
name: 'Google',
country_code: 'US',
domain: 'google.com',
linkedin_url: 'https://www.linkedin.com/company/google'
}
],
webhook_url: '<string>'
})
};

fetch('https://app.pipecorn.com/api/v2/lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "linkedin_list_id": 123
}

Authorizations

X-API-KEY
string
header
required

Your API key

Path Parameters

id
string<uuid>
required

ID of the list to update

Body

application/json

List object that needs to be updated

name
string
required

The name of the list

companies
object[]
required
Example:
[
{
"name": "Pipecorn",
"country_code": "FR",
"domain": "pipecorn.com",
"linkedin_url": "https://www.linkedin.com/company/pipecorn"
},
{
"name": "Google",
"country_code": "US",
"domain": "google.com",
"linkedin_url": "https://www.linkedin.com/company/google"
}
]
webhook_url
string<uri>

URL to be notified when the list import is complete

Response

200 - application/json

List updated successfully

id
string<uuid>

The ID of the updated list

linkedin_list_id
integer<int64>

The LinkedIn list ID